.home-container {
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
}

.user-home {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 40px; 
}

.card-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    flex-wrap: wrap; /* Allow cards to wrap on smaller screens */
}

.card {
    border: 1px solid #e0e0e0;
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    text-align: center;
    background-color: white;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    flex: 1 1 22%; 
    margin: 10px; 
    box-sizing: border-box;
}

.card:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.card img {
    width: 60px;
    height: 60px;
    margin-bottom: 10px;
}

.card h3 {
    font-size: 1.3em;
    margin-bottom: 10px;
    color: #333;
    text-transform: uppercase;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

.card p {
    font-size: 1em;
    color: #000000;
    text-transform: uppercase;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

.card:nth-child(1) {
    border-top: 4px solid #FF6F61;
}

.card:nth-child(2) {
    border-top: 4px solid #FFD700;
}

.card:nth-child(3) {
    border-top: 4px solid #6495ED;
}

.card:nth-child(4) {
    border-top: 4px solid #8A2BE2;
}

@media (max-width: 1200px) {
    .card {
        flex: 1 1 45%;
    }
}

@media (max-width: 992px) {
    .card {
        flex: 1 1 100%; 
    }

    .card h3 {
        font-size: 1.3em;
    }

    .card p {
        font-size: 0.9em;
    }
}

@media (max-width: 768px) {
    .card-container {
        flex-direction: column;
        align-items: center;
    }

    .card {
        width: 90%;
        flex: 1 1 100%;
    }

    .card h3 {
        font-size: 1.2em;
    }

    .card p {
        font-size: 0.8em;
    }
}

@media (max-width: 576px) {
    .card h3 {
        font-size: 1em;
    }

    .card p {
        font-size: 0.7em;
    }
}
